Type to search.

Get the async EQL status

  • GET /_eql/search/status/{id}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 7.9 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Get the current status for an async EQL search or a stored synchronous EQL search without returning results.

Required privileges

Cluster privileges monitor

Path parameters

id string required

Identifier for the search.

Response

application/json
id string required

Identifier for the search.

is_partial boolean required

If true, the search request is still executing. If false, the search is completed.

is_running boolean required

If true, the response does not contain complete search results. This could be because either the search is still running (is_running status is false), or because it is already completed (is_running status is true) and results are partial due to failures or timeouts.

start_time_in_millis number

For a running search shows a timestamp when the eql search started, in milliseconds since the Unix epoch.

expiration_time_in_millis number

Shows a timestamp when the eql search will be expired, in milliseconds since the Unix epoch. When this time is reached, the search and its results are deleted, even if the search is still ongoing.

completion_status number

For a completed search shows the http status code of the completed search.